import { GlobalStoreConfig } from './GlobalStore.types';
/**
 * @description
 * Get an item from local storage using the config provided.
 */
export declare const getLocalStorageItem: <T = any, TState = any, TMetadata = any>({ config, }: {
    config: GlobalStoreConfig<TState, TMetadata, import("react-hooks-global-states").StateSetter<TState>>;
}) => T;
/**
 * @description
 * Set an item to local storage using the config provided.
 */
export declare const setLocalStorageItem: <T, TState = any, TMetadata = any>({ item, config, }: {
    config: GlobalStoreConfig<TState, TMetadata, import("react-hooks-global-states").StateSetter<TState>>;
    item: T;
}) => void;
